package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

//TODO conroy1 implement setAgentSignature in a future release
public class SetAgentSignatureRequest extends UserRequest{

	private static final Logger LOG = Logger.getLogger(SetAgentSignatureRequest.class);
	
	private String userId;
	private String htmlSignature;
	
	public SetAgentSignatureRequest(String userId, String htmlSignature) {
		super(LOG, userId);
		this.userId = userId;
		this.htmlSignature=htmlSignature;
	}

	@Override
	protected Object call() throws Exception {
//		getUser().setAgentSignature(htmlSignature);
		LOG.warn("call", "Not Implemented");
		return null;
	}

}
